import { j as r } from "../../_virtual/jsx-runtime.js";
import { UploaderContainer as n, Header as s, AssistText as c } from "./styles.js";
const x = ({
  width: i,
  label: a,
  optionalText: t,
  assistText: e,
  ...d
}) => /* @__PURE__ */ r.jsxs(
  n,
  {
    "data-testid": d["data-testid"],
    "data-trackid": d["data-trackid"],
    width: i,
    children: [
      a && /* @__PURE__ */ r.jsxs(s, { children: [
        /* @__PURE__ */ r.jsx("span", { children: a }),
        t && /* @__PURE__ */ r.jsx("span", { children: t })
      ] }),
      d.children,
      e && /* @__PURE__ */ r.jsx(c, { children: e })
    ]
  }
);
export {
  x as UploaderContainerWrapper
};
